<script lang="ts">
	import type { ValidationResult } from "@/utils/form_validation";
	import { Button, Dialog, TextField } from "attractions";
	import type { DialogProps } from "attractions/dialog/dialog.svelte";
	import FormCard from "./FormCard.svelte";
	import { page } from "$app/stores";
    import type { Account } from "@/utils/types";

	export let closeCallback: DialogProps["closeCallback"];
	export let account: Account;

	export let form_action: string = "";

	$: form = $page.form;

	let fields = [
		["Név", "name", "text", "reorder", ""],
		["Felvétel limit", "take_limit", "number", "attach_money", "150000"],
		["Vásárlási limit", "purchase_limit", "number", "attach_money", "0"],
	];

	let width = "500px";
</script>

<div class="wrapper">
	<Dialog {closeCallback} title="Új bankkártya hozzáadása">
		<div class="dialog-content">
			<FormCard {fields} {width} validation_results={form?.result} {form_action}>
				<svelte:fragment slot="fields">
					<input type="hidden" value={account?.number} name="account_number"/>
				</svelte:fragment>
				<span slot="actions">
					<Button type="submit">Létrehoz</Button>
				</span>
			</FormCard>
		</div>
	</Dialog>
</div>

<style>
	.wrapper {
		display: flex;
	}
</style>
